
function show_list()
{
	dir()//先处理目录
	var str=mainFrame.document.all.dir_str.value//目录
	str+='$#'+mainFrame.document.all.files_str.value
	var arr=str.split("$#")
	var table_str=""//字符串
	var span_overflow="<span class=overflow1 >"
	var tr_move="onmouseover=\"this.style.background='#F1F8FC';\" onMouseOut=\"this.style.background='#ffffff';\" style='cursor:default;'"
	table_str+=("<table width=100% cellspacing=1 border=0 bgcolor=#CDE2F3>")
	table_str+="<tr bgcolor=#70A2E4 height=26><td></td><td>名称</td><td>类别</td><td align=center width=30>价格</td><td align=center>下单数量</td></tr>"

	for(var i=0;i<arr.length;i++)//
	{
		if(arr[i]!="")
		{
			var arr1=arr[i].split("|@")
			if (arr1.length==4)//说明是类
			{
				var name=arr1[0]
				var id=  arr1[1]
				table_str+="<tr bgcolor=#ffffff><td width=20><img src=images/forder_xiao.gif></td><td width=30%><span><a href='class_main.asp?classID="+id+"' title='"+name+"'>"+name+"</a></span></td><td>目录</td><td></td><td></td></tr>"
			}
			else//具体产品
			{
				var name=arr1[0]
				var id=  arr1[1]
				var price=arr1[3]
				var jianjie=arr1[4]
				var pic_x
				var kw,show_name=name//show_name
				if (mainFrame.document.all.keywords){kw=mainFrame.document.all.keywords.value}//如果mainFrame.document.all.keywords存在
				if(kw!="")
				{
					show_name=name.replace(kw,'<font color=red><b>'+kw+'</b></font>')
					jianjie=jianjie.replace(kw,'<font color=red><b>'+kw+'</b></font>')
				}//改变搜索关键字为红色
				var button="<input type=button id=b onclick=but('"+id+"','"+name+"','"+arr1[3]+"'," //按钮的前半节，下面用，调用函数,arr1[3]是价格
				var count_value=""
				if (eval("parent.dindanFrame.document.all.count_"+id))//如果已经在右边下过单了。
				{
					obj_count=eval("parent.dindanFrame.document.all.count_"+id)
					count_value=obj_count.value//填入右边的值
				}
				input="<input size=3 id=count_"+id+" value='"+count_value+"' onBlur=onlyNum("+id+",'"+name+"',"+price+",this)>"
				table_str+=("<tr bgcolor=#ffffff "+tr_move+"><td width=20><img src=images/logo8.gif></td><td width=50>"+span_overflow+"<a href=javascript:look_open('look.asp?id="+id+"','','scrollbars=yes,resizable=yes') title='"+show_name+"'>"+show_name+"</a></span></td> <td  style='padding-left:8;padding-right:8;' width=20% title='"+arr1[5]+"'>"+span_overflow+arr1[5]+"</span></td> <td style='padding-left:8;padding-right:8;' nowrap align=right>￥"+arr1[3]+"</td>  <td nowrap align=center>&nbsp; "+input+button+0+") value=0>"+button+1+") value=1>"+button+2+ ") value=2>"+button+3+ ") value=3>"+button+4+ ") value=4>"+button+5+ ") value=5>"+button+6+ ") value=6>"+button+7+ ") value=7>"+button+8+ ") value=8>"+button+9+ ") value=9></td></tr>")
			}	
		}
	}
	table_str+=("</table>")
	mainFrame.document.all.div_list.innerHTML=table_str
	mainFrame.loaded()//调整窗口高度
}////////结束



function dir()
{

	var str=mainFrame.document.all.dir_str.value
	if (str!="")//不为空说明 有类别
	{
		var arr=str.split("$#")
		var div_str="<div>"
		for(var i=0;i<arr.length;i++)//
		{
			if(arr[i]!="")
			{
				var arr1=arr[i].split("|@")
				var className=arr1[0]
				var classID=  arr1[1]
				var id=arr1[2]
				var depth=arr1[3]*3//3个空格
				//alert(depth)
				var nbsp=""
				var forder="<img  id=img_"+classID+" src='images/+.gif' style=cursor:hand onclick=show_hidden("+classID+") border=0>"

				for(var j=1;j<=depth;j++){nbsp+="&nbsp;"}
				div_str+="<div class=left_bg_1><div id=div__"+classID+"><table cellpadding=0 cellspacing=0><tr><td style='padding-top:5' nowrap>"+nbsp+forder+"<a href=class_main.asp?classID="+classID+" target=mainFrame onclick=parent.show("+classID+")>"+className+"</a></td></tr></table></div></div>"
				div_str+="<div style=display:none id=div_"+classID+"></div>"//隐藏的
			}
		}
		div_str+="</div>"//要取一个返回的iD
		var div_id=eval("parent.div_"+id)
		if (parent.eval("parent.div_"+id))//如果div_id存在
		{
			parent.eval("parent.div_"+id).innerHTML=div_str

		}
	}
	
	if (mainFrame.current_id)//如果imainFrame.current_id存在
	{
		if (mainFrame.current_id.value!="")//mainFrame.current_id.value不为空
		{
			if(eval("div_"+mainFrame.document.all.current_id.value).innerHTML.replace(/&nbsp;/g,"")=="")//还是loading...,说明没有内容
			{
				eval("div_"+mainFrame.document.all.current_id.value).style.display="none"//隐藏起来
			}
		}
	}
}
